Bug 469845 - [NetApp 4.8 bug] New Prio Patch required for NetApp
[NetApp 4.8 bug] New Prio Patch required for NetApp
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
4.7
All Linux
high Severity high
: beta
: 4.8
Assigned To: Ben Marzinski
Cluster QE
: OtherQA
Depends On: 282131
Blocks: 450897
  Show dependency treegraph
 
Reported: 2008-11-04 07:29 EST by Rajashekhar M A
Modified: 2010-01-11 21:33 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* device-mapper-multipath now includes an updated version of the netapp path priority callout that features improved error handling, renamed from mpath_prio_netapp to mpath_prio_ontap.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajashekhar M A 2008-11-04 07:29:48 EST
+++ This bug was initially created as a clone of Bug #282131 +++

Description of problem:
Currently, the prio patch for NetApp bundled in RHEL is mpath_prio_netapp.
There have been some code fixes:
* sg_timeount value increased.
* Enhnacement to error handling

Apart from that, for business reasons NetApp has decided to rename the prio 
patch from mpath_prio_netapp to mpath_prio_ontap.

We'd like to see this included in U1. The patch has been created again RHEL5.1 
Snapshot 4. (multipath-tools-0.4.7.rhel5.7)

Version-Release number of selected component (if applicable):
device-mapper-multipath-0.4.7-12.el5

--- Additional comment from rsarraf@netapp.com on 2007-09-07 06:05:32 EDT ---

Created an attachment (id=189641)
New Prio Patch for NetApp


--- Additional comment from coughlan@redhat.com on 2007-09-07 15:48:19 EDT ---

Sorry, we are nearing the final 5.1 build. Only super-critical fixes are going
in. This does not qualify.  I will queue this for consideration in 5.2. 

--- Additional comment from bmarzins@redhat.com on 2007-09-10 12:43:54 EDT ---

I have no problem will adding the code fixes from this bug. I don't think that
we are able to completely remove the mpath_prio_netapp callout during the RHEL 5
timeframe.  However, I can add the mpath_prio_ontap callout, and make one a
symlink of the other, and have the default configuration and the example files
point to mpath_prio_ontap.  This will mean that everyone who hasn't manually
configured device-mapper-multipath to use mpath_prio_netapp, will automatically
start using mapth_prio_ontap.

--- Additional comment from andriusb@redhat.com on 2007-09-12 15:39:11 EDT ---

This bugzilla is now NetApp confidential, and all others on CC have been removed.

--- Additional comment from andriusb@redhat.com on 2007-09-12 16:11:28 EDT ---

NetApp has corrected me that this is indeed not a confidential bug. Adding back
those removed from CC.

--- Additional comment from bmarzins@redhat.com on 2007-10-09 01:14:38 EDT ---

I've pulled in the codefixes from the patch in comment #1

--- Additional comment from bmarzins@redhat.com on 2007-10-09 18:05:36 EDT ---

There is now a fc8 bug (325251) for removing the netapp callout in favor of the
ontap callout. For 5.2 mpath_prio_ontap will just be a symlink to mpath_prio_netapp.

--- Additional comment from marting@netapp.com on 2007-10-10 04:59:55 EDT ---

Actually mpath_prio_netapp should be a symlink to mpath_prio_ontap, and not the
other way around.

--- Additional comment from bmarzins@redhat.com on 2007-10-10 12:53:07 EDT ---

Fine. switched.

--- Additional comment from pm-rhel@redhat.com on 2007-10-15 23:41:30 EDT ---

This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

--- Additional comment from jturner@redhat.com on 2007-11-30 01:56:03 EDT ---

QE ack for RHEL5.2.  Will need assistance from NetApp for validation.

--- Additional comment from poelstra@redhat.com on 2008-03-20 23:51:00 EDT ---

Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot1--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you

--- Additional comment from tanvi@netapp.com on 2008-03-24 10:23:39 EDT ---

Verified in RHEL5.2-Snapshot. The issue has been fixed.

--- Additional comment from errata-xmlrpc@redhat.com on 2008-05-21 11:35:28 EDT ---


An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0337.html
Comment 3 Ben Marzinski 2008-12-12 12:32:26 EST
Yes, this will make 4.8.
Comment 5 Ben Marzinski 2009-01-13 17:29:32 EST
Backported.
Comment 7 Ruediger Landmann 2009-02-02 00:49:50 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* device-mapper-multipath now includes an updated version of the netapp path priority callout that features improved error handling, renamed from mpath_prio_netapp to mpath_prio_ontap.
Comment 8 Chris Ward 2009-02-20 07:10:00 EST
~~ Attention Partners!  ~~
RHEL 4.8 Partner Alpha has been released on partners.redhat.com. There should be a fix present in the Beta, which addresses this URGENT priority bug. If you haven't had a chance yet to test this bug, please do so at your earliest convenience, to ensure that only the highest possible quality bits are shipped in the upcoming public Beta drop.

If you encounter any issues, please set the bug back to the ASSIGNED state and describe the issues you encountered. Further questions can be directed to your Red Hat Partner Manager.

Thanks, more information about Beta testing to come.
 - Red Hat QE Partner Management
Comment 9 Chris Ward 2009-02-20 08:32:23 EST
~~ Attention Partners!  ~~
RHEL 4.8 Partner Alpha has been released on partners.redhat.com. There should
be a fix present in the Beta, which addresses this bug. If you have already completed testing your other URGENT priority bugs, and you still haven't had a chance yet to test this bug, please do so at your earliest convenience, to ensure that only the highest possible quality bits are shipped in the upcoming public Beta drop.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. Further questions can be directed to your
Red Hat Partner Manager.

Thanks, more information about Beta testing to come.
 - Red Hat QE Partner Management
Comment 10 Naveen Reddy 2009-02-25 03:57:27 EST
I have verified this in RHEL4.8 alpha and this issue is resolved.
Comment 12 errata-xmlrpc 2009-05-18 16:31:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1011.html

Note You need to log in before you can comment on or make changes to this bug.